### Method

# EDataServer SourceProxy dup_http_auth_password

since: 3.12

#### Declaration [src]

    gchar*
    e_source_proxy_dup_http_auth_password (
      ESourceProxy* extension
    )

#### Description [src]

Thread-safe variation of e_source_proxy_get_http_auth_password(). Use this function when accessing `extension` from multiple threads.

The returned string should be freed with `g_free()` when no longer needed.

Available since: 3.12

#### Return value

Type: `gchar*`

A newly-allocated copy of `ESourceProxy:http-auth-password`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.